Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.graph
Class NodePropertyChangeOperation

    java.lang.Object
      org.apache.cayenne.graph.NodeDiff
          org.apache.cayenne.graph.NodePropertyChangeOperation

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable, GraphDiff

    public class NodePropertyChangeOperation

extends NodeDiff

Since:
  1.2
Author:
  Andrus Adamchik
See Also:
  Serialized Form

Field Summary
`protected java.lang.Object` | `newValue`
`protected java.lang.Object` | `oldValue`
`protected java.lang.String` | `property`

Fields inherited from class org.apache.cayenne.graph.NodeDiff
`diffId, nodeId`

Constructor Summary
`NodePropertyChangeOperation(java.lang.Object nodeId, java.lang.String property, java.lang.Object oldValue, java.lang.Object newValue)`
`NodePropertyChangeOperation(java.lang.Object nodeId, java.lang.String property, java.lang.Object oldValue, java.lang.Object newValue, int diffId)`

Method Summary
`void` | `apply(GraphChangeHandler tracker)` Calls appropriate methods on the handler to "replay" this change.
`boolean` | `isNoop()` Returns true if both old and new value are equal.
`void` | `undo(GraphChangeHandler tracker)` Calls appropriate methods on the handler to revert this change.

Methods inherited from class org.apache.cayenne.graph.NodeDiff
`compareTo, getDiffId, getNodeId, setDiffId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### property

    protected java.lang.String property

### oldValue

    protected java.lang.Object oldValue

### newValue

    protected java.lang.Object newValue

Constructor Detail

### NodePropertyChangeOperation

    public NodePropertyChangeOperation(java.lang.Object nodeId,
                                       java.lang.String property,
                                       java.lang.Object oldValue,
                                       java.lang.Object newValue)

### NodePropertyChangeOperation

    public NodePropertyChangeOperation(java.lang.Object nodeId,
                                       java.lang.String property,
                                       java.lang.Object oldValue,
                                       java.lang.Object newValue,
                                       int diffId)

Method Detail

### isNoop

    public boolean isNoop()

  Returns true if both old and new value are equal.

  Specified by:
    `isNoop` in interface `GraphDiff`
  Overrides:
    `isNoop` in class `NodeDiff`

### apply

    public void apply(GraphChangeHandler tracker)

  Description copied from interface: `GraphDiff`
  Calls appropriate methods on the handler to "replay" this change.

  Specified by:
    `apply` in interface `GraphDiff`
  Specified by:
    `apply` in class `NodeDiff`

### undo

    public void undo(GraphChangeHandler tracker)

  Description copied from interface: `GraphDiff`
  Calls appropriate methods on the handler to revert this change.

  Specified by:
    `undo` in interface `GraphDiff`
  Specified by:
    `undo` in class `NodeDiff`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.